#
# Conditional build:
%bcond_without	static_libs	# static library
#
Summary:	VDK Visual Development Kit - C++ Wrapper over GTK+ 2.x library
Summary(pl.UTF-8):	VDK Visual Development Kit - obudowanie C++ dla GTK+ 2.x
Name:		vdk
Version:	2.5.1
Release:	1
License:	LGPL v2+
Group:		X11/Libraries
Source0:	https://downloads.sourceforge.net/vdklib/%{name}-%{version}.tar.gz
# Source0-md5:	559d9feab3ae8433620bd061f03e4fb4
Patch0:		%{name}-ac_FLAGS.patch
Patch1:		%{name}-format.patch
URL:		https://vdklib.sourceforkge.net/
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	doxygen
BuildRequires:	gtk+2-devel >= 2:2.18.0
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.5
BuildRequires:	perl-devel >= 1:5.6
BuildRequires:	pkgconfig >= 1:0.8
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	gtk+2 >= 2:2.18.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
C++ Wrapper over GTK+ 2.x library.

%description -l pl.UTF-8
Wrapper C++ dla GTK+ 2.x.

%package devel
Summary:	VDK header files, development documentation
Summary(pl.UTF-8):	Pliki nagłówkowe VDK, dokumentacja dla programistów
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gtk+2-devel >= 2:2.18.0

%description devel
Header files and development documentation for VDK library.

%description devel -l pl.UTF-8
Pliki nagłówkowe i dokumentacja dla programistów do biblioteki VDK.

%package static
Summary:	VDK static libraries
Summary(pl.UTF-8):	Biblioteki statyczne VDK
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
VDK static libraries.

%description static -l pl.UTF-8
Biblioteki statyczne VDK.

%package apidocs
Summary:	API documentation for VDK library
Summary(pl.UTF-8):	Dokumentacja API biblioteki VDK
Group:		Documentation
BuildArch:	noarch

%description apidocs
API documentation for VDK library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki VDK.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_static_libs:--disable-static}
%{__make}

%{__make} docs

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	m4datadir=%{_aclocaldir}

cp -dpr example/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libvdk-2.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS BUGS ChangeLog NEWS README TODO
%attr(755,root,root) %{_libdir}/libvdk-2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libvdk-2.so.2

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/vdk-config-2
%attr(755,root,root) %{_libdir}/libvdk-2.so
%{_includedir}/vdk-2
%{_pkgconfigdir}/vdk-2.x.pc
%{_aclocaldir}/vdk-2.m4
%{_mandir}/man1/vdk-config-2.1*
%{_examplesdir}/%{name}-%{version}

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libvdk-2.a
%endif

%files apidocs
%defattr(644,root,root,755)
%doc doc/doxy/html/*.{css,gif,html,js,png}
%changelog
* Tue Jul 23 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/vdk.git;a=log;h=master

* Tue Jul 23 2024 Jakub Bogusz <qboosh@pld-linux.org> c4dfd80
- cleaned up BRs

* Tue Jul 23 2024 Jakub Bogusz <qboosh@pld-linux.org> 759cf7a
- updated to 2.5.1

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> b8ad97e
- drop obsolete and outdated manual inclusion of rpm macros

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 65ec985
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 122bb2c
- converted to UTF-8

* Sat Apr 22 2006 Jan Rękorajski <baggins@pld-linux.org> 3a46f73
- orphaned, outdated

* Thu Oct 13 2005 twittner <twittner@pld-linux.org> e53bb36
- fixed vdk-config-2 (add path to cairo headers)

* Thu Oct 13 2005 twittner <twittner@pld-linux.org> 47b555d
- fixed vdk-config-2 (add path to cairo headers, -cairo.patch)

* Sat Sep 03 2005 twittner <twittner@pld-linux.org> c5a84b9
- rel. 1

* Sun Aug 28 2005 twittner <twittner@pld-linux.org> ad8f14d
- libsigc++1-devel and libsigc++12-devel BRs removed - they aren't used by
  vdk

* Sun Aug 28 2005 Jakub Bogusz <qboosh@pld-linux.org> 684ce4f
- updated gtk+2 epoch; sorted BRs

* Sun Aug 28 2005 twittner <twittner@pld-linux.org> 60397a3
- replaced by vdk-ac_FLAGS.patch (next rm attempt)

* Sun Aug 28 2005 twittner <twittner@pld-linux.org> 1fc0906
- replaced by vdk-ac_FLAGS.patch

* Sun Aug 28 2005 twittner <twittner@pld-linux.org> 38af1b8
- don't append the same things (CXXFLAGS) twice.

* Sun Aug 28 2005 twittner <twittner@pld-linux.org> 8649f8b
- up to 2.4.1
- removed -ac-am-fixes.patch (mostly contains content from vim backup files)
- added -ac_FLAGS.patch (don't introduce own flags - honor ordinary
  C(XX)FLAGS from %%configure)

* Sun Aug 28 2005 twittner <twittner@pld-linux.org> d5d2544
- don't introduce own flags - honor ordinary C(XX)FLAGS from %%configure

* Sat Aug 27 2005 darekr <darekr@pld-linux.org> 209133c
- strict deps

* Sat Nov 27 2004 saq <saq@pld-linux.org> 81aa597
- massive attack: add missing gtk+2-devel epoch in BR

* Sat Nov 20 2004 radek <radek@pld-linux.org> c27158e
- NOTE: why does it BR perl-devel?

* Sun May 09 2004 ankry <ankry@pld-linux.org> a91d19e
- BR fixes, rel. 2

